# parallel/compatibility.h File Reference

## Detailed Description

Compatibility layer, mostly concerned with atomic operations. This file is a GNU parallel extension to the Standard C++ Library.

Definition in file parallel/compatibility.h.

Go to the source code of this file.

## Namespaces

- namespace __gnu_parallel

## Defines

- #define _GLIBCXX_PARALLEL_COMPATIBILITY_H

## Functions

- template<typename T> bool __gnu_parallel::compare_and_swap (volatile T *ptr, T comparand, T replacement)
- bool __gnu_parallel::compare_and_swap_32 (volatile int32 *ptr, int32 comparand, int32 replacement)
- bool __gnu_parallel::compare_and_swap_64 (volatile int64 *ptr, int64 comparand, int64 replacement)
- template<typename T> T __gnu_parallel::fetch_and_add (volatile T *ptr, T addend)
- int32 __gnu_parallel::fetch_and_add_32 (volatile int32 *ptr, int32 addend)
- int64 __gnu_parallel::fetch_and_add_64 (volatile int64 *ptr, int64 addend)
- void __gnu_parallel::yield ()